Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Auto_Array_Ptr< X > Class Template Reference

Implements an extension to the draft C++ standard auto_ptr abstraction. More...

`#include <Auto_Ptr.h>`

Inheritance diagram for ACE_Auto_Array_Ptr< X >:

[legend]
Collaboration diagram for ACE_Auto_Array_Ptr< X >:

[legend]
List of all members.

## Public Methods
ACE_EXPLICIT | ACE_Auto_Array_Ptr (X *p=0)
X * | operator-> () const

## Detailed Description

### template<class X>
class ACE_Auto_Array_Ptr< X >

Implements an extension to the draft C++ standard auto_ptr abstraction.

## Constructor & Destructor Documentation

template<class X>
ACE_EXPLICIT ACE_Auto_Array_Ptr< X >::ACE_Auto_Array_Ptr | ( | X * | p = 0 | ) | `[inline]`

## Member Function Documentation

template<class X>
ACE_INLINE X * ACE_Auto_Array_Ptr< X >::operator-> | ( |  | ) |

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Auto_Ptr.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Auto_Ptr.i